/*
 * Copyright (c) 2010 Ant Kutschera, maxant
 * 
 * This file is part of Ant Kutschera's blog.
 * 
 * This is free software: you can redistribute it and/or modify
 * it under the terms of the Lesser GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * This software is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * Lesser GNU General Public License for more details.
 * You should have received a copy of the Lesser GNU General Public License
 * along with this software.  If not, see <http://www.gnu.org/licenses/>.
 */
package ch.maxant.traincompany.businesslayer.forecastingcontext;

import java.util.List;

import ch.maxant.traincompany.bom.Trip;

public class EnergyRequirementResult {

	private List<Trip> trips;
	private double energyRequirement;
	private long calculationTimeNs;
	public List<Trip> getTrips() {
		return trips;
	}
	public void setTrips(List<Trip> trips) {
		this.trips = trips;
	}
	public double getEnergyRequirement() {
		return energyRequirement;
	}
	public void setEnergyRequirement(double energyRequirement) {
		this.energyRequirement = energyRequirement;
	}
	public long getCalculationTimeNs() {
		return calculationTimeNs;
	}
	public void setCalculationTimeNs(long calculationTimeNs) {
		this.calculationTimeNs = calculationTimeNs;
	}
	
	
}
